<template>
  <div>
    <div class="subtitle-2">
      <strong>¿No encuentras tu ceco?</strong><span class="tRojo">*</span>
    </div>
    <v-text-field
      v-model.trim="data.ceco"
      maxlength="6"
      placeholder="Digita el ceco"
      :error="data.validator.$error"
      v-on:input="$emit('input1', value)"
      @input="callback"
      counter
    >
    </v-text-field>
  </div>
</template>
<script>
export default {
  name: "Component-Texto-Ceco",
  props: {
    value: Object,
    callback: { type: Function },
  },
  computed: {
    data: {
      get() {
        return this.value;
      },
      set(value) {
        this.$emit("input", this.value);
      },
    },
  },
  methods: {},
};
</script>
